Bug 145401 - slowdown when running programs from NFS mount
slowdown when running programs from NFS mount
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-17 18:59 EST by Norman Gaywood
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
vmstat output running from NFS (1.78 KB, text/plain)
2005-01-17 20:16 EST, Norman Gaywood
no flags Details
vmstat output running from local disk (1.71 KB, text/plain)
2005-01-17 20:18 EST, Norman Gaywood
no flags Details
strace out of slow john (2.61 KB, text/plain)
2005-01-17 20:34 EST, Norman Gaywood
no flags Details

  None (edit)
Description Norman Gaywood 2005-01-17 18:59:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
Running john the ripper from a NFS mounted directory will cause the system to become very sluggish. Copying the same program to a local disk and running from there, no slowdown.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install john the ripper on an NFS server and export this to a client
2. On the client, run:  ./john -restore and observe sluggish system
3. cp -a run /tmp; cd /tmp/run; ./john -restore; and observe no slowdown

Expected Results:  No system slowdown.

Additional info:

I don't know if this is the same problem, but on the kernel mailing list I spotted: http://lkml.org/lkml/2005/1/17/201
Comment 1 Norman Gaywood 2005-01-17 19:09:52 EST
I have reproduced this on two kernels:

2.6.10-1.747_FC3smp on a Dell PE 2650
2.6.10-1.741_FC3smp on a Dell PE 6300/550

The problem does not exist on my dell D600 laptop: 2.6.10-1.741_FC3

Comment 2 Norman Gaywood 2005-01-17 20:16:28 EST
Created attachment 109905 [details]
vmstat output  running from NFS

This is output of vmstat during a slowdown. vmstat was started, then john was
started from an NFS mounted directory, run for a few seconds then killed.
system time looks interesting to me.
Comment 3 Norman Gaywood 2005-01-17 20:18:17 EST
Created attachment 109906 [details]
vmstat output  running from local disk

Same thing as previous except that this time we run from local disk. No
slowdown when we do this.
Comment 4 Norman Gaywood 2005-01-17 20:34:22 EST
Created attachment 109907 [details]
strace out of slow john

strace of a running john on a slow system.
Comment 5 Dave Jones 2005-07-15 16:01:51 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 20:43:10 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.